<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('users', function (Blueprint $table) {
            $table->string('reseller_bkash_number')->nullable();
            $table->string('reseller_nagad_number')->nullable();
            $table->string('reseller_rocket_number')->nullable();
            $table->text('reseller_bank_details')->nullable();
        });
    }

    public function down(): void
    {
        Schema::table('users', function (Blueprint $table) {
            $table->dropColumn([
                'reseller_bkash_number',
                'reseller_nagad_number',
                'reseller_rocket_number',
                'reseller_bank_details',
            ]);
        });
    }
};
